<!DOCTYPE html>
<html>
  <%- include('components/head'); -%>
  <body class="app">
    <div class="login-card">
      <h1><%= title %></h1>
      <form action="<%= authServerUrl %>" method="post">
        <label>Client Id</label>
        <input required name="client_id" value="<%= clientId %>" />
        <label>Client Secret</label>
        <input required name="client_secret" value="<%= clientSecret %>" />
        <label>Grant Type</label>
        <input required name="grant_type" value="<%= grantType %>" />
        <label>Resource</label>
        <select id="resourceApi" name="resource" value="true" style="margin-left: 10px; margin-bottom: 20px;">
          <option value="">--- NONE ---</option>
          <option value="<%= apiUrl[1] %>"><%= apiUrl[1] %></option>
          <option value="<%= apiUrl[2] %>"><%= apiUrl[2] %></option>
        </select>
        <br/>
        <label>Access Token Type</label>
        <input id= "useJWT" value="" disabled/>
        <label>Scope</label>
        <input required name="scope" value="<%= scopes %>" />
        <label>Prompt</label>
        <input required name="prompt" value="<%= prompt %>" />
        <label>Username</label>
        <input required name="username" value="<%= username %>" />
        <label>Password</label>
        <input required type="password" name="password" value="<%= password %>" />

        <button type="submit" class="login login-submit">Issue Token</button>
      </form>
      <form action="/">
        <button type="submit" class="home home-button">Back to Home</button>
      </form>
    </div>
  </body>
  <script>
    const inputResourceApi = document.getElementById('resourceApi');
    const selectUseJWT = document.getElementById('useJWT');
    const onChangeResourceApi = () => {
      if (inputResourceApi.value == '<%= apiUrl[2] %>') {
        selectUseJWT.value = 'JWT';
      } else {
        selectUseJWT.value = 'HASH';
      }
    }
    inputResourceApi.addEventListener('change', onChangeResourceApi);
    selectUseJWT.value = 'HASH';
  </script>
</html>
